Page MenuHomePhabricator

NDA for Superset Request from WMDE Employee - Kris Litson
Closed, ResolvedPublic

Description

Hey hey,

I'd like to sign the NDA for access to the superset (see the superset access request from Raja here: https://phabricator.wikimedia.org/T231984)

Employee Name: Kris Litson
Role: Head of Community Communication - WMDE
Wikitech Username: Kris Litson (WMDE)

@Franziska_Heine - Please approve.

Cheers,
Kris

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 2 2020, 1:28 PM

Adding LDAP-Access-Requests to the project tags, so someone could find this ticket.

If you have internal docs then please update them accordingly.

Restricted Application added a project: Operations. · View Herald TranscriptJan 2 2020, 1:32 PM

Hello! Looping in @RStallman-legalteam to coordinate getting your NDA on file.

@Kris_Litson_WMDE I have sent you the NDA for signature via Docusign. Let me know if you have any questions and thanks!

All signed and ready to go. Thank you all for your help!

herron added a comment.Jan 3 2020, 4:36 PM

Thanks for the update @Kris_Litson_WMDE

@RStallman-legalteam is everything in order on your end?

Yes, this is fully signed now. Thanks!

Dzahn claimed this task.Jan 3 2020, 6:38 PM
Dzahn added a comment.Jan 3 2020, 7:13 PM

Hi @Franziska_Heine this request is ready to go but pending your approval. Best, Daniel

Dzahn reassigned this task from Dzahn to Franziska_Heine.Jan 3 2020, 7:14 PM
Dzahn triaged this task as Medium priority.
Dzahn added a subscriber: Dzahn.
Dzahn added a comment.Jan 3 2020, 8:15 PM
[mwmaint1002:~] $ /usr/bin/ldapsearch -x -b "dc=wikimedia,dc=org" -s sub "mail=kris.litson*" | grep uid
dn: uid=krli,ou=people,dc=wikimedia,dc=org
uid: krli
uidNumber: 22858

Change 561899 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: add Kris Litson to ldap_only admins (WMDE)

https://gerrit.wikimedia.org/r/561899

Dzahn claimed this task.Jan 6 2020, 7:57 PM

Change 561899 merged by Dzahn:
[operations/puppet@production] admins: add Kris Litson to ldap_only admins (WMDE)

https://gerrit.wikimedia.org/r/561899

Mentioned in SAL (#wikimedia-operations) [2020-01-06T20:02:51Z] <mutante> LDAP - added 'krli' (Kris Litson) to 'wmde' and 'nda' for superset access (T241722)

Dzahn closed this task as Resolved.Jan 6 2020, 8:04 PM

Thanks @Franziska_Heine !

@Kris_Litson_WMDE You have been added to "wmde" and "nda", the same groups that Raja has. You should now be able to do all the things she can do as well, incl. superset login.

Thanks all. Can I have the link to the login page? I'd also like to know what username and password I should use. Cheers!

Dzahn added a comment.Jan 7 2020, 4:34 PM

You should use the same username and password you used on https://wikitech.wikimedia.org when you initially created your user there.

Got it! Thanks everyone!